import request from '@/utils/request'

export function getIndexUrl(query) {
  return request({
    url: '/indexurl/get_index_url',
    method: 'get',
    params: query
  })
}

export function getType(query) {
  return request({
    url: '/indexurl/get_type_name',
    method: 'get',
    params: query
  })
}

export function saveIndex(data) {
  return request({
    url: '/indexurl/save',
    method: 'post',
    data
  })
}

export function deleteIndex(query) {
  return request({
    url: '/indexurl/delete',
    method: 'get',
    params: query
  })
}
